/*
 * This file is part of iprohc.
 *
 * iprohc is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * iprohc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with iprohc.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file   utils.h
 * @brief  Miscellaneous utils for the IP/ROHC client and server
 * @author Didier Barvaux <didier.barvaux@toulouse.viveris.com>
 */

#ifndef IPROHC_COMMON_UTILS__H
#define IPROHC_COMMON_UTILS__H

/** return the greater value from the two */
#define max(x, y)  (((x) > (y)) ? (x) : (y))

/** The format string to print an IPv4 address */
#define IPV4_ADDR_FMT  "%u.%u.%u.%u"

/** The format arguments to print an IPv4 address (in host byte order) */
#define IPV4_ADDR(x) \
	((x) >> 24) & 0xff, ((x) >> 16) & 0xff, \
	((x) >>  8) & 0xff, ((x) >>  0) & 0xff

#endif

